Search merchants
curl --request GET \
--url https://app.herondata.io/api/merchants/search \
--header 'x-api-key: <api-key>'import requests
url = "https://app.herondata.io/api/merchants/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.herondata.io/api/merchants/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"merchants": [
{
"name": "<string>",
"url": "<string>",
"categories": [
{
"code": "7311",
"description": "Advertising services",
"slug": "advertising_services"
}
],
"heron_id": "mrc_VGvdKtjptK8d3iiEdjs4T7",
"icon_url": "<string>",
"is_priority": true,
"logo_url": "<string>"
}
]
}Merchants
Search merchants
Search Merchants by name
GET
/
api
/
merchants
/
search
Search merchants
Authorizations
Query Parameters
Full or partial name, minimum 3 characters
If true, only returns priority merchants
Response
200 - application/json
A list of up to 5 merchants which match the search term, sorted by descending order of their URL rank and the frequency this merchant has been seen historically.
Show child attributes
Show child attributes
Was this page helpful?
⌘I